# Clutter::ChildMeta Class Reference

Inherits Glib::Object.

Inherited by Clutter::LayoutMeta.

Collaboration diagram for Clutter::ChildMeta:
[legend]

List of all members.

## Public Member Functions

virtual | ~ChildMeta ()
ClutterChildMeta* | gobj ()
| Provides access to the underlying C GObject.
const ClutterChildMeta* | gobj () const
| Provides access to the underlying C GObject.
ClutterChildMeta* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Container > | get_container ()
| Retrieves the container using data.
Glib::RefPtr< const Container > | get_container () const
| Retrieves the container using data.
Glib::RefPtr< Actor > | get_actor ()
| Retrieves the actor wrapped by data.
Glib::RefPtr< const Actor > | get_actor () const
| Retrieves the actor wrapped by data.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Container > > | property_container () const
| The container that created this data.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Actor > > | property_actor () const
| The actor wrapped by this data.

## Protected Member Functions

| ChildMeta (const Glib::RefPtr< Container >& container, const Glib::RefPtr< Actor >& actor)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Clutter::ChildMeta > | wrap (ClutterChildMeta* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::ChildMeta::~ChildMeta | ( |  | ) | `[virtual]`

Clutter::ChildMeta::ChildMeta | ( | const Glib::RefPtr< Container >& | container,
|  | const Glib::RefPtr< Actor >& | actor |
| ) |  |  | `[protected]`

## Member Function Documentation

Glib::RefPtr<Actor> Clutter::ChildMeta::get_actor | ( |  | ) |

Retrieves the actor wrapped by data.

Since cluttermm 0.8:

Returns:
  A Clutter::Actor.

Glib::RefPtr<const Actor> Clutter::ChildMeta::get_actor | ( |  | ) | const

Retrieves the actor wrapped by data.

Since cluttermm 0.8:

Returns:
  A Clutter::Actor.

Glib::RefPtr<const Container> Clutter::ChildMeta::get_container | ( |  | ) | const

Retrieves the container using data.

Since cluttermm 0.8:

Returns:
  A Clutter::Container.

Glib::RefPtr<Container> Clutter::ChildMeta::get_container | ( |  | ) |

Retrieves the container using data.

Since cluttermm 0.8:

Returns:
  A Clutter::Container.

const ClutterChildMeta* Clutter::ChildMeta::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented in Clutter::LayoutMeta.

ClutterChildMeta* Clutter::ChildMeta::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented in Clutter::LayoutMeta.

ClutterChildMeta* Clutter::ChildMeta::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented in Clutter::LayoutMeta.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Actor> > Clutter::ChildMeta::property_actor | ( |  | ) | const

The actor wrapped by this data.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Container> > Clutter::ChildMeta::property_container | ( |  | ) | const

The container that created this data.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::ChildMeta > wrap | ( | ClutterChildMeta * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/childmeta.h